// The file that contains the Ignition config used to configure the RHCOS based bootstrap machine.
bootstrap_ign_file = "/root/ocp-deployment/config/bootstrap.ign"

// The domain of the cluster.
// All the records for the cluster are created under this domain.
// Note: This field MUST be set manually prior to creating the cluster.
cluster_domain = "redhat.dev"
cluster_id="scp-on-ocp"

// Interfaces
// If you are using two networks (provisioning and baremetal), uncomment and
// set these variables to corresponding names of the interfaces for those
// networks.  Failing to do so can prevent CoreOS ignition from working properly,
// especially on target machines with many interfaces.
//provisioning_interface = "em1"
baremetal_interface = "eth0"

// The number of control plane machines required.
//
// Since etcd is colocated on control plane machines, suggested number is 3 or 5.
// Default: 1
master_count = "3"

// The file that contains the Ignition config used to configure the RHCOS based control plane machines.
master_ign_file = "/root/ocp-deployment/config/master.ign"

// Client certificate used to authenticate with the matchbox RPC API.
//
// For more info: https://github.com/coreos/matchbox/blob/master/Documentation/api.md
matchbox_client_cert = "/root/ocp-deployment/matchbox-data/etc/matchbox/client/client.crt"

// Client certificate's key used to authenticate with the matchbox RPC API.
//
// For more info: https://github.com/coreos/matchbox/blob/master/Documentation/api.md
matchbox_client_key = "/root/ocp-deployment/matchbox-data/etc/matchbox/client/client.key"

// HTTPS endpoint for matchbox. This must include the scheme
//
// For more info: https://github.com/coreos/matchbox/blob/master/Documentation/api.md
matchbox_http_endpoint = "http://10.85.46.194:8080"

// RPC endpoint for matchbox.
//
// For more info: https://godoc.org/github.com/coreos/matchbox/matchbox/client
matchbox_rpc_endpoint = "10.85.46.194:8081"

// Certificate Authority certificate to trust the matchbox endpoint.
matchbox_trusted_ca_cert = "/root/ocp-deployment/matchbox-data/etc/matchbox/client/ca.crt"

// URL to the initrd image that should be used to PXE machines.
//
// This can be a fully-qualified URL or URL relative to matchbox_http_endpoint to use Matchbox assets (https://github.com/coreos/matchbox/blob/master/Documentation/matchbox.md#assets).
pxe_initrd_url = "assets/rhcos-4.4.3-x86_64-installer-initramfs.x86_64.img"

// URL to the kernel image that should be used to PXE machines.
//
// This can be a fully-qualified URL or URL relative to matchbox_http_endpoint to use Matchbox assets (https://github.com/coreos/matchbox/blob/master/Documentation/matchbox.md#assets).
pxe_kernel_url = "assets/rhcos-4.4.3-x86_64-installer-kernel-x86_64"

// URL to the OS image for RHCOS that should be installed on machines.
//
// For more info: https://github.com/coreos/coreos-installer#kernel-command-line-options-for-coreos-installer-running-in-the-initramfs
pxe_os_image_url = "http://10.85.46.194:8080/assets/rhcos-4.4.3-x86_64-metal.x86_64.raw.gz"

master_nodes = [
  {
    name: "scp-on-ocp-master-0",
    public_ipv4: "10.85.46.209",
    ipmi_host: "10.85.46.213",
    ipmi_user: "root",
    ipmi_pass: "svkH2EJT7b",
    mac_address: "ac:1f:6b:ca:56:ba",
    install_dev: "sda",
  },
  {
    name: "scp-on-ocp-master-1",
    public_ipv4: "10.85.46.245",
    ipmi_host: "10.85.46.246",
    ipmi_user: "root",
    ipmi_pass: "g8gFAQR3eT",
    mac_address: "3c:fd:fe:82:6d:b8",
    install_dev: "sda",
  },
  {
    name: "scp-on-ocp-master-2",
    public_ipv4: "10.85.46.200",
    ipmi_host: "10.85.46.203",
    ipmi_user: "root",
    ipmi_pass: "uW4a42TRXF",
    mac_address: "3c:fd:fe:82:6c:a8",
    install_dev: "sda",
  }
]

bootstrap_public_ipv4 = "10.85.46.196"
bootstrap_memory_gb = "12"
bootstrap_vcpu = "6"
bootstrap_baremetal_bridge = "baremetal"
bootstrap_install_dev = "vda"

bootstrap_mac_address = "52:54:00:82:68:3e"
nameserver= "10.85.46.194"
bootstrap_enable_boot_index = "false"
